This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 508536 - *** buffer overflow detected ***: evolution terminated
*** buffer overflow detected ***: evolution terminated
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
: 508762 (view as bug list)
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-06-28 09:15 EDT by Nicolas Mailhot
Modified: 2009-07-01 08:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 11:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 587207 None None None Never

  None (edit)
Description Nicolas Mailhot 2009-06-28 09:15:58 EDT
$ evolution --disable-preview
** (evolution:12416): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:12416): DEBUG: mailto URL program: evolution
*** buffer overflow detected ***: evolution terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3d8c4f7537]
/lib64/libc.so.6[0x3d8c4f5590]
/usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so[0x7f48304dfe49]
/usr/lib64/libedataserver-1.2.so.11(e_sexp_term_eval+0xd1)[0x7f483d8a2401]
/usr/lib64/libedataserver-1.2.so.11[0x7f483d8a2b2c]
/usr/lib64/libedataserver-1.2.so.11(e_sexp_term_eval+0x1af)[0x7f483d8a24df]
/usr/lib64/libedataserver-1.2.so.11[0x7f483d8a2d82]
/usr/lib64/libedataserver-1.2.so.11(e_sexp_term_eval+0x1af)[0x7f483d8a24df]
/usr/lib64/libedataserver-1.2.so.11[0x7f483d8a2d82]
/usr/lib64/libedataserver-1.2.so.11(e_sexp_term_eval+0x1af)[0x7f483d8a24df]
/usr/lib64/libedataserver-1.2.so.11(e_sexp_eval+0x2e)[0x7f483d8a256e]
/usr/lib64/libcamel-provider-1.2.so.14(camel_folder_search_search+0x138)[0x7f483e4264b8]
/usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so[0x7f48304d8e35]
/usr/lib64/evolution/2.28/components/libevolution-mail.so[0x7f4835736075]
/usr/lib64/evolution/2.28/libevolution-mail-shared.so.0[0x7f48354ac73f]
/lib64/libglib-2.0.so.0[0x3d8dc631e2]
/lib64/libglib-2.0.so.0[0x3d8dc61bf4]
/lib64/libpthread.so.0[0x3d8d00686a]
/lib64/libc.so.6(clone+0x6d)[0x3d8c4de25d]
======= Memory map: ========
00400000-0041f000 r-xp 00000000 fd:00 3350689                            /usr/bin/evolution
0061e000-00623000 rw-p 0001e000 fd:00 3350689                            /usr/bin/evolution
01821000-02032000 rw-p 00000000 00:00 0                                  [heap]
3086e00000-3086e15000 r-xp 00000000 fd:00 3355063                        /usr/lib64/libgpilotdconduit.so.2.0.4
3086e15000-3087015000 ---p 00015000 fd:00 3355063                        /usr/lib64/libgpilotdconduit.so.2.0.4
3087015000-3087016000 rw-p 00015000 fd:00 3355063                        /usr/lib64/libgpilotdconduit.so.2.0.4
3087200000-3087215000 r-xp 00000000 fd:00 3354923                        /usr/lib64/libgpilotd.so.2.2.0
3087215000-3087415000 ---p 00015000 fd:00 3354923                        /usr/lib64/libgpilotd.so.2.2.0
3087415000-3087419000 rw-p 00015000 fd:00 3354923                        /usr/lib64/libgpilotd.so.2.2.0
3089200000-3089206000 r-xp 00000000 fd:00 3354959                        /usr/lib64/libgpilotdcm.so.2.1.0
3089206000-3089406000 ---p 00006000 fd:00 3354959                        /usr/lib64/libgpilotdcm.so.2.1.0
3089406000-3089407000 rw-p 00006000 fd:00 3354959                        /usr/lib64/libgpilotdcm.so.2.1.0
39f2800000-39f2806000 r-xp 00000000 fd:00 3344034                        /usr/lib64/libgdbm.so.2.0.0
39f2806000-39f2a05000 ---p 00006000 fd:00 3344034                        /usr/lib64/libgdbm.so.2.0.0
39f2a05000-39f2a06000 rw-p 00005000 fd:00 3344034                        /usr/lib64/libgdbm.so.2.0.0
39f2c00000-39f2c59000 r-xp 00000000 fd:00 3344107                        /usr/lib64/libpulsecommon-0.9.15.so
39f2c59000-39f2e58000 ---p 00059000 fd:00 3344107                        /usr/lib64/libpulsecommon-0.9.15.so
39f2e58000-39f2e5a000 rw-p 00058000 fd:00 3344107                        /usr/lib64/libpulsecommon-0.9.15.so
39f3000000-39f300f000 r-xp 00000000 fd:00 3344424                        /usr/lib64/libcanberra.so.0.1.6
39f300f000-39f320f000 ---p 0000f000 fd:00 3344424                        /usr/lib64/libcanberra.so.0.1.6
39f320f000-39f3210000 rw-p 0000f000 fd:00 3344424                        /usr/lib64/libcanberra.so.0.1.6
39f3400000-39f341f000 r-xp 00000000 fd:00 3344320                        /usr/lib64/libvorbis.so.0.4.0
39f341f000-39f361e000 ---p 0001f000 fd:00 3344320                        /usr/lib64/libvorbis.so.0.4.0
39f361e000-39f362d000 rw-p 0001e000 fd:00 3344320                        /usr/lib64/libvorbis.so.0.4.0
39f3800000-39f3807000 r-xp 00000000 fd:00 3344416                        /usr/lib64/libvorbisfile.so.3.2.0
39f3807000-39f3a06000 ---p 00007000 fd:00 3344416                        /usr/lib64/libvorbisfile.so.3.2.0
39f3a06000-39f3a07000 rw-p 00006000 fd:00 3344416                        /usr/lib64/libvorbisfile.so.3.2.0
39f3c00000-39f3c03000 r-xp 00000000 fd:00 3344428                        /usr/lib64/libcanberra-gtk.so.0.1.0
39f3c03000-39f3e03000 ---p 00003000 fd:00 3344428                        /usr/lib64/libcanberra-gtk.so.0.1.0
39f3e03000-39f3e04000 rw-p 00003000 fd:00 3344428                        /usr/lib64/libcanberra-gtk.so.0.1.0
39f4000000-39f4047000 r-xp 00000000 fd:00 3344858                        /usr/lib64/libpulse.so.0.8.0
39f4047000-39f4247000 ---p 00047000 fd:00 3344858                        /usr/lib64/libpulse.so.0.8.0
39f4247000-39f4249000 rw-p 00047000 fd:00 3344858                        /usr/lib64/libpulse.so.0.8.0
3d8c000000-3d8c01f000 r-xp 00000000 fd:00 393243                         /lib64/ld-2.10.1.so
3d8c21e000-3d8c21f000 r--p 0001e000 fd:00 393243                         /lib64/ld-2.10.1.so
3d8c21f000-3d8c220000 rw-p 0001f000 fd:00 393243                         /lib64/ld-2.10.1.so
3d8c400000-3d8c564000 r-xp 00000000 fd:00 395439                         /lib64/libc-2.10.1.so
3d8c564000-3d8c764000 ---p 00164000 fd:00 395439                         /lib64/libc-2.10.1.so
3d8c764000-3d8c768000 r--p 00164000 fd:00 395439                         /lib64/libc-2.10.1.so
3d8c768000-3d8c769000 rw-p 00168000 fd:00 395439                         /lib64/libc-2.10.1.so
3d8c769000-3d8c76e000 rw-p 00000000 00:00 0 
3d8c800000-3d8c882000 r-xp 00000000 fd:00 397054                         /lib64/libm-2.10.1.so
3d8c882000-3d8ca82000 ---p 00082000 fd:00 397054                         /lib64/libm-2.10.1.so
3d8ca82000-3d8ca83000 r--p 00082000 fd:00 397054                         /lib64/libm-2.10.1.so
3d8ca83000-3d8ca84000 rw-p 00083000 fd:00 397054                         /lib64/libm-2.10.1.so
3d8cc00000-3d8cc02000 r-xp 00000000 fd:00 397046                         /lib64/libdl-2.10.1.so
3d8cc02000-3d8ce02000 ---p 00002000 fd:00 397046                         /lib64/libdl-2.10.1.so
3d8ce02000-3d8ce03000 r--p 00002000 fd:00 397046                         /lib64/libdl-2.10.1.so
3d8ce03000-3d8ce04000 rw-p 00003000 fd:00 397046                         /lib64/libdl-2.10.1.so
3d8d000000-3d8d017000 r-xp 00000000 fd:00 396059                         /lib64/libpthread-2.10.1.so
3d8d017000-3d8d216000 ---p 00017000 fd:00 396059                         /lib64/libpthread-2.10.1.so
3d8d216000-3d8d217000 r--p 00016000 fd:00 396059                         /lib64/libpthread-2.10.1.so
3d8d217000-3d8d218000 rw-p 00017000 fd:00 396059                         /lib64/libpthread-2.10.1.so
3d8d218000-3d8d21c000 rw-p 00000000 00:00 0 
3d8d400000-3d8d415000 r-xp 00000000 fd:00 397053                         /lib64/libz.so.1.2.3
3d8d415000-3d8d614000 ---p 00015000 fd:00 397053                         /lib64/libz.so.1.2.3
3d8d614000-3d8d615000 rw-p 00014000 fd:00 397053                         /lib64/libz.so.1.2.3
3d8d800000-3d8d81c000 r-xp 00000000 fd:00 397049                         /lib64/libselinux.so.1
3d8d81c000-3d8da1b000 ---p 0001c000 fd:00 397049                         /lib64/libselinux.so.1
3d8da1b000-3d8da1c000 r--p 0001b000 fd:00 397049                         /lib64/libselinux.so.1
3d8da1c000-3d8da1d000 rw-p 0001c000 fd:00 397049                         /lib64/libselinux.so.1
3d8da1d000-3d8da1e000 rw-p 00000000 00:00 0 
3d8dc00000-3d8dce4000 r-xp 00000000 fd:00 397040                         /lib64/libglib-2.0.so.0.2102.0
3d8dce4000-3d8dee3000 ---p 000e4000 fd:00 397040                         /lib64/libglib-2.0.so.0.2102.0
3d8dee3000-3d8dee5000 rw-p 000e3000 fd:00 397040                         /lib64/libglib-2.0.so.0.2102.0
3d8e000000-3d8e007000 r-xp 00000000 fd:00 397039                         /lib64/librt-2.10.1.so
3d8e007000-3d8e206000 ---p 00007000 fd:00 397039                         /lib64/librt-2.10.1.so
3d8e206000-3d8e207000 r--p 00006000 fd:00 397039                         /lib64/librt-2.10.1.so
3d8e207000-3d8e208000 rw-p 00007000 fd:00 397039                         /lib64/librt-2.10.1.so
3d8e400000-3d8e415000 r-xp 00000000 fd:00 397048                         /lib64/libresolv-2.10.1.so
3d8e415000-3d8e615000 ---p 00015000 fd:00 397048                         /lib64/libresolv-2.10.1.so
3d8e615000-3d8e616000 r--p 00015000 fd:00 397048                         /lib64/libresolv-2.10.1.so
3d8e616000-3d8e617000 rw-p 00016000 fd:00 397048                 Abandon

evolution-0:2.27.3-2.fc12.x86_64
Comment 1 Matthew Barnes 2009-06-28 11:08:12 EDT
Moving this upstream for better visibility.
Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=587207
Comment 2 Milan Crha 2009-06-29 04:56:55 EDT
Seems to be very similar to 
https://bugzilla.redhat.com/show_bug.cgi?id=506952#c12
please rebuild in koji and check results.
Comment 3 Milan Crha 2009-06-29 15:17:08 EDT
*** Bug 508762 has been marked as a duplicate of this bug. ***
Comment 4 Milan Crha 2009-07-01 08:17:08 EDT
I rebuild few packages against newer gcc in koji, see
gtkhtml3 - http://koji.fedoraproject.org/koji/taskinfo?taskID=1446424
eds - http://koji.fedoraproject.org/koji/taskinfo?taskID=1446390
evo - http://koji.fedoraproject.org/koji/taskinfo?taskID=1446399
eex - http://koji.fedoraproject.org/koji/taskinfo?taskID=1446465

It should be fixed with those packages installed. (mostly 2.27.3-2)

Note You need to log in before you can comment on or make changes to this bug.